Aller au contenu
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mettre à jour les informations d’une adresse

Update address metadata

post

Update label, tags, customer, and list status for one address.

Autorisations
API-KeystringRequis
Paramètres de chemin
chain_idintegerRequis

Blockchain ID.

Example: 1
addressstringRequis

Blockchain address.

Example: 0xc7a2abc3b88f1465c4b3a4e7bf2d2d59897851bb
Corps
labelstringOptionnel

User-defined label for the address. Set to empty string "" to clear the label, or null to preserve the current value.

Example: Wallet A
userTagsstring[]Optionnel

User-defined tags for the address. Set to empty array [] to clear all tags, or null to preserve current tags. Max 10 tags per address.

Example: ["withdrawal"]
Réponses
200

Response. A non-zero code indicates a business error even when the HTTP status is 200.

application/json
codeintegerOptionnel

The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.

Example: 0
msgstringOptionnel

The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.

Example: Success
post/addresses/{chain_id}/{address}
POST /phalcon/compliance/v2/addresses/{chain_id}/{address} HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "label": "Wallet A",
  "userTags": [
    "vip",
    "otc"
  ],
  "customerId": "Customer123",
  "isBlacklisted": false,
  "blacklistedInfo": "",
  "isWhitelisted": false,
  "whitelistedInfo": ""
}
{
  "code": 0,
  "msg": "Success",
  "data": {
    "address": "0xa9447a8d45afbaafac0a17ceca90ab1f2d7c4321",
    "chainId": 1,
    "chainName": "Ethereum",
    "label": "Wallet A",
    "entity": "",
    "category": [],
    "systemTags": [],
    "userTags": [
      "withdrawal"
    ],
    "customerId": "",
    "riskLevel": 1,
    "riskLevelDescription": "critical",
    "isBlacklisted": false,
    "isWhitelisted": false,
    "blacklistedInfo": "",
    "lastScreenAt": 1752561212,
    "screeningCount": 4,
    "unresolvedAlerts": 0
  }
}

Mis à jour